# Feature Versions

| **Description** | Get all version information of a given feature.                             |
| --------------- | --------------------------------------------------------------------------- |
| **Endpoint**    | `/path/{pathId}/vector/timestamp/{timestampId}/feature/{featureId}/version` |
| **Method**      | GET                                                                         |

### Access Level Rules

| **Minimum Access Level** | view |
| ------------------------ | ---- |

### Processing Units

| **Minimum processing units** | 2 |
| ---------------------------- | - |

### Parameters

<table><thead><tr><th>Name</th><th width="405">Description</th><th width="214">Required</th><th>Default</th></tr></thead><tbody><tr><td><code>pathId</code></td><td>The id of the vector layer.</td><td>true</td><td></td></tr><tr><td><code>timestampId</code></td><td>The id of the vector timestamp.</td><td>true</td><td></td></tr><tr><td><code>featureId</code></td><td>The id of the feature to get version information of.</td><td>true</td><td></td></tr><tr><td><code>returnType</code></td><td>Type of information to return. Must be one of "info" or "all".</td><td>false</td><td>Default "info'"</td></tr><tr><td><code>pageStart</code></td><td>A JSON containing required property "startDate" and optional property "pagingId" defining where to start the versions search from.</td><td>false</td><td>Default null.</td></tr><tr><td><code>pageSize</code></td><td>The number of results to return. Maximum 100.</td><td>false</td><td>Default 100.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/path-vector/timestamps/vector-features/feature-versions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
